#

API Docs for:
Show: Inherited Protected Private Deprecated

# MarkerSeries Class

Defined in: `input/charts/MarkerSeries.js:1`
Module: charts

The MarkerSeries class renders quantitative data by plotting relevant data points on a graph.

- Index
- Methods
- Attributes

## Item Index

### Methods

- _getDefaultStyles
- _setStyles
- drawSeries

### Attributes

- styles
- type

## Methods

### `_getDefaultStyles`

() protected

Defined in `input/charts/MarkerSeries.js:43`

#### Returns:

Object

### `_setStyles`

(

- `newStyles`

)
protected

Defined in `input/charts/MarkerSeries.js:24`

#### Parameters:

- `newStyles` Object

  Hash of properties to update.

#### Returns:

Object

### `drawSeries`

() protected

Defined in `input/charts/MarkerSeries.js:12`

## Attributes

### `styles`

Object

Defined in `input/charts/MarkerSeries.js:70`

Style properties used for drawing markers. This attribute is inherited from `Renderer`. Below are the default values:

fill
  A hash containing the following values:
  color
    Color of the fill. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#6084d0", "#eeb647", "#6c6b5f", "#d6484f", "#ce9ed1", "#ff9f3b", "#93b7ff", "#e0ddd0", "#94ecba", "#309687"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker fill. The default value is 1.
border
  A hash containing the following values:
  color
    Color of the border. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#205096", "#b38206", "#000000", "#94001e", "#9d6fa0", "#e55b00", "#5e85c9", "#adab9e", "#6ac291", "#006457"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker border. The default value is 1.
  weight
    Number indicating the width of the border. The default value is 1.
width
  indicates the width of the marker. The default value is 10.
height
  indicates the height of the marker The default value is 10.
over
  hash containing styles for markers when highlighted by a `mouseover` event. The default values for each style is null. When an over style is not set, the non-over value will be used. For example, the default value for `marker.over.fill.color` is equivalent to `marker.fill.color`.

### `type`

String

Defined in `input/charts/MarkerSeries.js:59`

Read-only attribute indicating the type of series.

Default: marker